/* eslint-disable */
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import { falcon as _falcon } from "@mas.io/falcon-core";
import { MasComponent } from '../typings/mas';

var Index = /*#__PURE__*/function (_MasComponent) {
  _inheritsLoose(Index, _MasComponent);

  function Index() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _MasComponent.call.apply(_MasComponent, [this].concat(args)) || this;
    _this.props = {
      title: '',
      showToolbar: true,
      toolbarPosition: 'top',
      cancelButtonText: '',
      confirmButtonText: '',
      onCancel: function onCancel() {
        return null;
      },
      onConfirm: function onConfirm() {
        return null;
      }
    };
    return _this;
  }

  var _proto = Index.prototype;

  _proto.onCancelHandel = function onCancelHandel() {
    var _this$props;

    (_this$props = this.props) == null ? void 0 : _this$props.onCancel();
  };

  _proto.onConfirmHandel = function onConfirmHandel() {
    var _this$props2;

    (_this$props2 = this.props) == null ? void 0 : _this$props2.onConfirm();
  };

  return Index;
}(MasComponent);

export { Index as default };
var instance = new Index();

_falcon.launch(instance, "Component", {
  componentName: "@alipay/adc-picker"
});

Component(instance);